Bug 637754 - Plain files + SSH backups don't work
Summary: Plain files + SSH backups don't work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fwbackups
Version: 13
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Stewart Adam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-27 10:20 UTC by Filip Miletic
Modified: 2010-12-29 21:56 UTC (History)
1 user (show)

Fixed In Version: fwbackups-1.43.4-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-17 20:25:13 UTC


Attachments (Terms of Use)

Description Filip Miletic 2010-09-27 10:20:58 UTC
Description of problem:
Backup skips directories.

Version-Release number of selected component (if applicable):
1.43.3rc5

How reproducible:
Always

Steps to Reproduce:
1. Set up a backup file set that consists only of directories.
2. Set up backup using SSH
3. Set up direct copy of files and directories (i.e. no archiving)
  
Actual results:
Any folder below the 1st level folder doesn't get transferred.

E.g. if you have a dir /a/b and you say that you want dir /a backed up, the dir /a/b won't be backed up, even though 'recursive' option is set.  Moreover, the backup fails with some errors (see below).

Expected results:
The backup should descend into directories.

Additional info:

Sample output in the console (more similar lines snipped away):
Could not copy some files due to errors:
/home/zeljko/Видео --> /mnt/usb01/backup/Backup-test.set-2010-09-27_02-57/home/zeljko/Видео: (2, 'No such file')
/home/zeljko/.gnome2 --> /mnt/usb01/backup/Backup-test.set-2010-09-27_02-57/home/zeljko/.gnome2: (2, 'No such file')
/home/zeljko/.nautilus --> /mnt/usb01/backup/Backup-test.set-2010-09-27_02-57/home/zeljko/.nautilus: (2, 'No such file')

Comment 1 Stewart Adam 2010-09-27 17:57:54 UTC
Thanks for bringing this to my attention, I had fixed this in Git but forgot to document it in the Known Issues.

I'm going to be releasing rc6 soon (hopefully the last release candidate!) as I've polished many things that were not quite complete in rc5.

Comment 2 Filip Miletic 2010-09-27 20:17:33 UTC
FWIW, in the meantime I also cloned, compiled from source, and tested last night.  That branch from GIT had the same problem.  I didn't jot the SHA1 down :(.

The report you're seeing above is actually from that version, with some patches to make the error output more readable.  (You want to join the strings from the error reports with '\n' and not with '')

So, when fixing this, please make sure that you test it out with the above parameters.

Comment 3 Stewart Adam 2010-10-03 00:13:41 UTC
I was able to find the problem, it should be fixed now in git. I'm leaving this open until I'm able to submit new builds.

Comment 4 Fedora Update System 2010-12-09 21:28:09 UTC
fwbackups-1.43.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fwbackups-1.43.3-1.fc13

Comment 5 Fedora Update System 2010-12-09 21:28:16 UTC
fwbackups-1.43.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fwbackups-1.43.3-1.fc14

Comment 6 Fedora Update System 2010-12-09 23:32:13 UTC
fwbackups-1.43.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fwbackups'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fwbackups-1.43.3-1.fc14

Comment 7 Fedora Update System 2010-12-17 20:25:08 UTC
fwbackups-1.43.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2010-12-17 20:25:38 UTC
fwbackups-1.43.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-12-20 09:18:38 UTC
fwbackups-1.43.4-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fwbackups-1.43.4-1.fc14

Comment 10 Fedora Update System 2010-12-20 09:18:49 UTC
fwbackups-1.43.4-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fwbackups-1.43.4-1.fc13

Comment 11 Fedora Update System 2010-12-29 21:51:29 UTC
fwbackups-1.43.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2010-12-29 21:56:09 UTC
fwbackups-1.43.4-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.